Package com.orchestranetworks.schema.businessObjects

# Interface BusinessObjectModelRelationship

public interface BusinessObjectModelRelationship
Represent a relationship in the context of a business object model.

Since:
  6.1.1
See Also:
  - `BusinessObjectModel`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BusinessObjectModelRelationship>`
  `getLightRelationshipsChildren()`
  Returns the lights relationships defined directly under this relationship.
  `BusinessObjectModelRelationship`
  `getParentRelationship()`
  Returns the parent relationship in the context of the container business object model.
  `SchemaNodeExplicitRelationship`
  `getRelationship()`
  Returns the related data model relationship.
  `SchemaNode`
  `getRelationshipNode()`
  Returns the node in the data model that holds this relationship
  `List<BusinessObjectModelRelationship>`
  `getStrongRelationshipsChildren()`
  Returns the strong relationships defined directly under this relationship.
  `SchemaNode`
  `getTableNode()`
  Returns the target table of this relationship.
  `boolean`
  `isStrongRelationship()`
  Returns `true` if this is a 'strong' relationship.

- ## Method Details

  - ### getRelationshipNode

    SchemaNode getRelationshipNode()
    Returns the node in the data model that holds this relationship

  - ### getRelationship

    SchemaNodeExplicitRelationship getRelationship()
    Returns the related data model relationship.

    Can return `null` if this method is called when compiling the container data model.

  - ### getTableNode

    SchemaNode getTableNode()
    Returns the target table of this relationship.

    Can return `null` if this method is called when compiling the container data model.

  - ### getParentRelationship

    BusinessObjectModelRelationship getParentRelationship()
    Returns the parent relationship in the context of the container business object model.

  - ### getStrongRelationshipsChildren

    List<BusinessObjectModelRelationship> getStrongRelationshipsChildren()
    Returns the strong relationships defined directly under this relationship.
    See Also:
      - `getLightRelationshipsChildren()`

  - ### getLightRelationshipsChildren

    List<BusinessObjectModelRelationship> getLightRelationshipsChildren()
    Returns the lights relationships defined directly under this relationship.
    See Also:
      - `getStrongRelationshipsChildren()`

  - ### isStrongRelationship

    boolean isStrongRelationship()
    Returns `true` if this is a 'strong' relationship. A strong relationship is a relationship that is present in the definition of the business object model. A light relationship is not present in this definition but exists in the related table.